AuthenticationMethodInformation (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session
Interface AuthenticationMethodInformation

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AuthenticationMethodInformationImpl

    public interface AuthenticationMethodInformation

extends Serializable

Information about an authentication method employed by a user.

Method Summary
`long` | `getAuthenticationDuration()` Gets the duration of this authentication method.
`DateTime` | `getAuthenticationInstant()` Gets the time the user authenticated with this member.
`String` | `getAuthenticationMethod()` Gets the unique identifier for the authentication method.
`Principal` | `getAuthenticationPrincipal()` Gets the principal, for the `Subject` of the session, created by this authentication method.
`Subject` | `getAuthenticationSubject()` Deprecated. use `Session.getSubject()`
`boolean` | `isExpired()` Gets whether this authentication method has expired and is not longer valid for use in constructing new sessions.

Method Detail

### getAuthenticationSubject

    Subject getAuthenticationSubject()

  Deprecated. use `Session.getSubject()`

  Gets the Subject created by this authentication method.

  Returns:
    subject created by this authentication method

### getAuthenticationPrincipal

    Principal getAuthenticationPrincipal()

  Gets the principal, for the `Subject` of the session, created by this authentication method.

  Returns:
    principal created by this authentication method

### getAuthenticationMethod

    String getAuthenticationMethod()

  Gets the unique identifier for the authentication method.

  Returns:
    unique identifier for the authentication method

### getAuthenticationInstant

    DateTime getAuthenticationInstant()

  Gets the time the user authenticated with this member.

  Returns:
    time the user authenticated with this member

### getAuthenticationDuration

    long getAuthenticationDuration()

  Gets the duration of this authentication method.

  Returns:
    duration of this authentication method

### isExpired

    boolean isExpired()

  Gets whether this authentication method has expired and is not longer valid for use in constructing new sessions.

  Returns:
    whether this authentication method has expired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.